Upgrading Jackson library to 2.3.0


Madhu Venugopal
 

Hi Devs,

We are upgrading the jackson library from the old 1.9.8 to the newer 2.3.0 in the controller project.
https://git.opendaylight.org/gerrit/#/c/3905/
The NB Integration tests passed in the controller project.
This upgrade is required to bring in third-party library consistency across the projects as discussed
in the TSC call.

The changes are pretty much transparent unless some of the Jackson's json annotations are used.
I noticed that few of the projects outside the controller uses these annotations and depends on the
Controller's Northbound layer. Hence these projects must also upgrade from 1.9.8 to 2.3.0.

Alissa & I will take care of these upgrades as well. This is a heads up to all the devs in the relevant
projects to expect code-review requests from us.

Please let us know if you have any questions/concerns.

Thanks,
Madhu

Join z.archive.ovsdb-dev@lists.opendaylight.org to automatically receive all group messages.